OGRE: Ogre::LightProfiles Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::LightProfiles Class Reference

`#include <OgreLightProfiles.h>`

Inheritance diagram for Ogre::LightProfiles:
[legend]

## Public Member Functions
| LightProfiles (HlmsPbs *hlmsPbs, TextureGpuManager *textureGpuManager)
| ~LightProfiles ()
void | assignProfile (IdString profileName, Light *light)
| Assigns the given profile to the light. More...
void | build (void)
| After you're done with all your loadIesProfile calls, call this function to generate the texture required for rendering. More...
const IesLoader * | getProfile (IdString profileName) const
| Returns the profile associated with the name. Nullptr if not found. More...
const IesLoader * | getProfile (Light *light) const
| Returns the profile associated with the light. More...
const String & | getProfileName (Light *light) const
| Returns the name of the profile associated with the light. More...
void | loadIesProfile (const String &filename, const String &resourceGroup, bool throwOnDuplicate=true)
| Loads an IES (Illuminating Engineering Society) profile to memory. More...
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...

## Constructor & Destructor Documentation

## ◆ LightProfiles()

Ogre::LightProfiles::LightProfiles | ( | HlmsPbs * | hlmsPbs,
|  | TextureGpuManager * | textureGpuManager
| ) |  |

## ◆ ~LightProfiles()

Ogre::LightProfiles::~LightProfiles | ( |  | ) |

## Member Function Documentation

## ◆ assignProfile()

void Ogre::LightProfiles::assignProfile | ( | IdString | profileName,
|  | Light * | light
| ) |  |

Assigns the given profile to the light.

Use either:

lightProfile->assignProfile( IdString(), light );
lightProfile->assignProfile( IdString( "" ), light );

To unset any profile

Remarks
  Throws if no profile with the given name exists, and profileName is not IdString()

Parameters

  profileName | Name of the profile to assign to the light. Use IdString() or IdString( "" ) to unset any profile the light might already have
  light | Light to set the profile to

## ◆ build()

void Ogre::LightProfiles::build | ( | void |  | ) |

After you're done with all your loadIesProfile calls, call this function to generate the texture required for rendering.

Remarks
  You can add more profiles later by calling loadIesProfile, but you must call build again afterwards

You can call LightProfiles::assignProfile before calling build

## ◆ getProfile() [1/2]

const IesLoader* Ogre::LightProfiles::getProfile | ( | IdString | profileName | ) | const

Returns the profile associated with the name. Nullptr if not found.

## ◆ getProfile() [2/2]

const IesLoader* Ogre::LightProfiles::getProfile | ( | Light * | light | ) | const

Returns the profile associated with the light.

Nullptr if none Assumes the light's profile was created by 'this'

## ◆ getProfileName()

const String& Ogre::LightProfiles::getProfileName | ( | Light * | light | ) | const

Returns the name of the profile associated with the light.

Empty if none Assumes the light's profile was created by 'this'

## ◆ loadIesProfile()

void Ogre::LightProfiles::loadIesProfile | ( | const String & | filename,
|  | const String & | resourceGroup,
|  | bool | throwOnDuplicate = `true`
| ) |  |

Loads an IES (Illuminating Engineering Society) profile to memory.

When trying to load an IES file that is already loaded, if throwOnDuplicate = false then this function does nothing

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

The documentation for this class was generated from the following file:

- OgreLightProfiles.h